# Web+DB Press サンプルコード

## 環境の作成

仮装環境の作成

```shell
# (注:仮想環境の作成)
$ python3.9 -m venv venv
# (注:仮想環境の有効化)
$ source ./venv/bin/activate
# (注:依存ライブラリのインストール)
$ pip install -r requirements.txt
```

マイグレーション

```bash
$ python mange.py migrate
```

サーバーの起動

```shell
$ python manage.py runserver
```

ダミーデータの投入

```shell
$ python manage.py make_dummy_data
```

## 確認

```
# 親->子の取得
$ curl -s http://localhost:8000/comments_by_user/ > /dev/null
# 子->親の取得
$ curl -s http://localhost:8000/comments_with_issue/ > /dev/null
# 一括作成
$ curl -s http://localhost:8000/import_issues/ -d 'contents=1,2,3,4,5&user_id=1'
# 一括更新
$ curl -s http://localhost:8000/update_issues/
```


## その他

* コメント/コメントアウトすることで、本誌で紹介した挙動を試せます

  * `bts_project/settings.py`
  * `projects/views.py`
